Skip to main content
GET
/
api
/
dashboard
/
products
/
{product_id}
/
variants
List Variants
curl --request GET \
  --url https://api.example.com/api/dashboard/products/{product_id}/variants
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "sku": "<string>",
    "barcode": "<string>",
    "option1": "<string>",
    "option2": "<string>",
    "option3": "<string>",
    "price": "<string>",
    "compare_at_price": "<string>",
    "cost_per_item": "<string>",
    "inventory_quantity": 123,
    "inventory_policy": "<string>",
    "low_stock_threshold": 123,
    "weight": "<string>",
    "weight_unit": "<string>",
    "requires_shipping": true,
    "image_url": "<string>",
    "available": true,
    "is_low_stock": true,
    "is_out_of_stock": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

authorization
string | null
X-API-Key
string | null
X-Stella-Merchant-Id
string | null

Path Parameters

product_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
product_id
string<uuid>
required
sku
string | null
required
barcode
string | null
required
option1
string | null
required
option2
string | null
required
option3
string | null
required
price
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
compare_at_price
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
cost_per_item
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
inventory_quantity
integer
required
inventory_policy
string
required
low_stock_threshold
integer
required
weight
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
weight_unit
string
required
requires_shipping
boolean
required
image_url
string | null
required
available
boolean
required
is_low_stock
boolean
required
is_out_of_stock
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required